#ifndef FORMTEMPLATELIST_H
#define FORMTEMPLATELIST_H

#include <QMainWindow>
#include "templatedao.h"

namespace Ui {
class formTemplateList;
}

class formTemplateList : public QMainWindow
{
    Q_OBJECT

public:
    explicit formTemplateList(QWidget *parent = nullptr);
    ~formTemplateList();

public slots:
    void refreshList();
    void createNewTemplate();
    void editTemplate();
    void deleteTemplate();

private:
    void setupModel();
    Ui::formTemplateList *ui;
};

#endif // FORMTEMPLATELIST_H